#!/usr/bin/python
# -*- coding:utf8 -*-

# Configuration d'un bot IRC (squelette de base vide)

debug_stdout=True

# la config irc-related
irc_password="Mot de passe à envoyer à NickServ pour s'authentifier"
irc_pseudo="Pseudo"
chanlist=["#bot"] # liste des chans à rejoindre
stay_channels=["#bot"] # liste des chans que le bot ne quitte pas, même sur demande d'un leave de la part d'un OP
quiet_channels=[] # liste des chans sur lesquels le bot ne parle pas

# les logs
logfile_template="basile.%s.log" # fichier de log (%s est remplacé par le nom du serveur)

# les ops
overops=["[20-100]"] # liste des OVEROPs (meilleurs que les OP ^^)
ops=[] # liste des OPs

# config UTF8-fail
utf8_fail_answers = [u"Ceci est une réponse en cas de <quelqu'un écrit en pas-utf8>"]
utf8_trigger = True # râlé-je en cas de non-utf8 ?

# config "tu m'traites ?"
insultes=[u"conna(rd|sse)",u"pute",u"con(|ne)",u"enf(oiré|lure)",
u"sal(op(|e(|rie)|ard)|aud)",u"p(e|')tite bite",u"imbécile",u"idiot",u"stupid(|e)",u"débile",u"crétin",
u"pétasse",u"enculé",u"chagasse",u"cagole",u"abruti",u"ahuri",u"analphabète",u"andouille",
u"atardé",u"avorton",u"bachibouzouk",u"(balais|brosse) (de|à) chiotte(|s)",
u"batard",u"blaireau",u"bouffon",u"branque",u"bouseux",u"branleur",u"catin",u"chacal",
u"charogne",u"chiant(|e)",u"chieur",u"cochon",u"coprophage",u"couillon",u"crapule",u"crevard",
u"cruche",u"cuistre",u"ducon",u"décérébré",
u"emmerdeur",u"feignasse",u"fainéant",u"fourbe",u"freluquet",u"frigide",
u"garce",u"glandu",u"gogol",u"goujat",u"gourdasse",u"gredin",u"gringalet",u"grognasse",
u"naze",u"truie",u"iconoclaste",
u"peigne(-|)cul",u"ignare",u"illétré",u"lèche(|-)cul",u"malotru",u"motherfucker",u"nabot",u"nigaud",
u"nul",u"escroc",u"pouffiasse",u"pourriture",u"raclure",u"relou",u"sagouin",u"putain",
u"péripatéticienne"]
insultes_answers=[
u"Ceci est une réponse à une insulte."]

# config "tais-toi"
tag_triggers=[u"t(|a)g",u"ta gueule",u"la ferme",u"ferme( |-)la",u"tais-toi",u"chut",u"tu fais trop de bruit",u"tu parles trop"]
tag_actions=[u"effectue une action en réponse à un \"tais-toi\"."]
tag_answers=[
u"Ceci est une réponse à un 'tais-toi' à quelqu'un qui n'en a pas le droit."]

# config ping
tesla_triggers=[u"t('|u )es là \?",u"\?",u"plop \?",u"plouf \?"]
tesla_answers=[
u"Ceci est une réponse à 't'es là ?'."
]
tesla_actions=[u"effectue une action en réponse à un \"t'es là ?\"."]

# config en cas de non-insulte
compliment_triggers=[u"gentil",u"cool",u"sympa",u"efficace"]
compliment_answers=[
u"Ceci est une réponse à une non-insulte."
]

# config merci
merci_triggers=[u"merci",u"remercie",u"thx",u"thank(|s)"]
merci_answers=[u"Ceci est une réponse à un remerciement."]

# config "ta mère" 
tamere_triggers=[u"ta mère"]
tamere_answers=[u"Ceci est une réponse à un \"ta mère\"."]

# config pour les actions désagréables
bad_action_triggers=[u"(frappe|cogne|tape)(| sur)",u"(démolit|dégomme|fouette|agresse|tabasse)",
u"(vomit|pisse|chie|crache) sur",u"slap(|s)"]
bad_action_answers=[
u"Ceci est une réponse en cas d'action désagréable. (Elle a été perpetrée par {})"
]
bad_action_actions=[u"effectue une action en réponse à une action désagréable."]

# config pour les actions agréables
good_action_triggers=[u"fait (:?des bisous|un c(?:â|a)lin|des c(?:â|a)lins) à",u"embrasse",u"c(?:â|a)line",u"caresse"]
good_action_answers=[u"Ceci est une réponse à une action agréable. (Prodiguée par {})"]
good_action_actions=[u"effectue une action en réponse à une action agréable."]

# config bonjour/bonsoir/que fais-tu encore debout à cette heure, gros sale !
bonjour_triggers=[u"(s|)(a|'|)lu(t|)",u"hello",u"pl(o|i)p",u"pr(ou|ü)t",u"bonjour",u"bonsoir",u"coucou"]
bonjour_answers=[u"Ceci est un message bonjour. (En réponse à {})"]
bonsoir_answers=[u"Ceci est un message bonsoir. (En réponse à {})"]
night_answers=[u"Ceci est un message envoyé à {} si il dit bonjour en pleine nuit."]
daytime = [7,18] # c'est quoi le "jour" ?
nighttime = [3, 6] # c'est quoi la "nuit" ?

# config dodo
bonne_nuit_triggers=[u"bonne nuit",u"'?nite",u"'?nuit",u"'?night",u"good night",u"'?nenuit"]
bonne_nuit_answers=[u"Ceci est un message de souhait de bonne nuit. (En réponse à {})"]

# config quelqu'un s'est défoulé sur le bot
kick_answers=[u"Ceci est un message suite à /kick (Perpetré par {})"]
kick_actions=[u"effectue une action suite à un /kick."]

# config on m'a demandé de mourir/partir
quit_messages=[u"Ceci est un message de quit"]
leave_messages=[u"Ceci est un message de leave"]

quit_fail_messages = [u"Ceci est un message adressé à quelqu'un qui m'a demandé de quit alors qu'il n'en a pas le droit."]
leave_fail_messages = [u"Ceci est un message adressé à quelqu'un qui m'a demandé de leave alors qu'il n'en a pas le droit."]
